#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hint
version:              0.9.0.4
visibility:           public
id:                   hint-0.9.0.4-81ieHmBKc136btwa7JIxNe
key:                  hint-0.9.0.4-81ieHmBKc136btwa7JIxNe
license:              BSD-3-Clause
maintainer:           "Samuel Gélineau" <gelisam@gmail.com>
author:               The Hint Authors
homepage:             https://github.com/haskell-hint/hint
synopsis:             Runtime Haskell interpreter (GHC API wrapper)
description:
    This library defines an Interpreter monad. It allows to load Haskell
    modules, browse them, type-check and evaluate strings with Haskell
    expressions and even coerce them into values. The library is thread-safe
    and type-safe (even the coercion of expressions to values).
    It is, essentially, a huge subset of the GHC API wrapped in a simpler
    API.

category:             Language, Compilers/Interpreters
abi:                  3df9a8984a715780cf37136f15d407cf
exposed:              True
exposed-modules:
    Hint.Internal Language.Haskell.Interpreter
    Language.Haskell.Interpreter.Extension
    Language.Haskell.Interpreter.Unsafe

hidden-modules:
    Hint.GHC Hint.Base Hint.InterpreterT Hint.CompatPlatform
    Hint.Configuration Hint.Extension Hint.Context Hint.Conversions
    Hint.Eval Hint.Parsers Hint.Reflection Hint.Typecheck Hint.Util
    Hint.Annotations Control.Monad.Ghc

import-dirs:          /usr/lib/ghc-8.10.5/site-local/hint-0.9.0.4
library-dirs:         /usr/lib/ghc-8.10.5/site-local/hint-0.9.0.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.5/hint-0.9.0.4
hs-libraries:         HShint-0.9.0.4-81ieHmBKc136btwa7JIxNe
depends:
    base-4.14.2.0 directory-1.3.6.0 exceptions-0.10.4 filepath-1.4.2.1
    ghc-8.10.5 ghc-boot-8.10.5
    ghc-paths-0.1.0.12-2xWgOnBVsu4JfFnY8cTnGw
    random-1.2.0-FYrBsLYhb8t9oQNjLyUagP
    temporary-1.3-BDoGPG2fF5P3MQeO1JQscK transformers-0.5.6.2
    unix-2.7.2.2

haddock-interfaces:   /usr/share/doc/haskell-hint/html/hint.haddock
haddock-html:         /usr/share/doc/haskell-hint/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

